ID로 마켓 조회
GET
/v1/markets/:idPublicUUID를 사용하여 특정 예측 시장의 상세 정보를 조회합니다. Slug로 마켓 조회와 동일한 데이터를 반환하지만, slug 대신 UUID를 사용합니다. 아웃컴, 상위 트레이더, 댓글 및 정산 세부 정보가 포함됩니다.
#경로 파라미터
| 파라미터 | 타입 | 필수 | 설명 |
|---|---|---|---|
id | string (UUID) | 예 | 고유 마켓 식별자 (예: 550e8400-e29b-41d4-a716-446655440000) |
#응답
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"slug": "will-btc-hit-100k",
"question": "Will BTC hit $100k by June 2026?",
"description": "Resolves YES if Bitcoin (BTC) price reaches $100,000 USD on any major exchange before June 1, 2026.",
"imageUrl": "https://...",
"category": "CRYPTO",
"type": "BINARY",
"status": "ACTIVE",
"spread": "0.02",
"platformFee": "0.02",
"totalVolume": "125000.00",
"totalLiquidity": "45000.00",
"views": 3200,
"featured": true,
"verified": true,
"tags": ["bitcoin", "crypto"],
"tradingStartsAt": "2026-01-15T00:00:00Z",
"tradingEndsAt": "2026-06-01T00:00:00Z",
"resolutionDate": "2026-06-01T00:00:00Z",
"resolvedAt": null,
"resolvedBy": null,
"resolutionSource": null,
"resolutionNote": null,
"winningOutcomeId": null,
"winningOutcome": null,
"createdAt": "2026-01-15T00:00:00Z",
"updatedAt": "2026-03-10T12:00:00Z",
"outcomes": [...],
"topTraders": [
{
"username": "alice",
"profileImageUrl": "https://...",
"volume": "50000.00"
},
{
"username": "bob",
"profileImageUrl": "https://...",
"volume": "30000.00"
}
],
"comments": []
}참고: 위 예제에서는
comments배열의 구체적인 내용이 생략되어 있습니다. 각 댓글에는id,userId,content,parentId,likesCount,isLiked,replyCount,createdAt및 중첩된user객체(id,username,profileImageUrl포함)가 포함됩니다.
#응답 필드
| 필드 | 타입 | 설명 |
|---|---|---|
id | string | 고유 마켓 식별자 (UUID) |
slug | string | URL 친화적 마켓 식별자 |
question | string | 마켓 질문 |
description | string | 상세 마켓 설명 및 정산 기준 |
category | string | 마켓 카테고리 |
type | string | BINARY 또는 MULTI |
status | string | 현재 마켓 상태 |
spread | string | 마켓 스프레드 |
platformFee | string | 플랫폼 수수료율 |
totalVolume | string | USDC 총 거래량 |
totalLiquidity | string | USDC 총 유동성 |
winningOutcomeId | string | null | 정산 후 우승 아웃컴 ID |
winningOutcome | object | null | 정산 후 전체 우승 아웃컴 객체 |
outcomes | array | 가능한 아웃컴 목록 및 확률 |
outcomes[].id | string | 고유 아웃컴 식별자 |
outcomes[].marketId | string | 상위 마켓 ID |
outcomes[].probability | string | 현재 확률 (0-1) |
outcomes[].conditionId | string | 온체인 조건 식별자 |
outcomes[].positionId | string | 온체인 포지션 식별자 |
topTraders | array | 거래량 기준 상위 트레이더 |
topTraders[].username | string | 트레이더 사용자명 |
topTraders[].volume | string | 트레이더의 USDC 총 거래량 |
comments | array | 마켓 댓글 (위 참고 사항 참조) |
#오류
| 상태 코드 | 설명 |
|---|---|
404 | 마켓을 찾을 수 없음 |
#예제
curl https://api.conviction.bet/v1/markets/550e8400-e29b-41d4-a716-446655440000이 페이지가 도움이 되었나요?